//*****************************************************************************
//*****************************************************************************
//  FILENAME:  AMPINV_U.h
//  Version: 4.1, Updated on 2003/11/18 at 14:58:56
//  Generated by PSoC Designer ver 4.1 b931 : 21 January, 2004
//
//  DESCRIPTION: AMPINV User Module C Language interface for the 22/24/27xxx
//               PSoC family of devices.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2001-2003. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <M8C.h>

//-------------------------------------------------
// Defines for AMPINV_U API's.
//-------------------------------------------------
/* Power Settings */
#define AMPINV_U_OFF         0
#define AMPINV_U_LOWPOWER    1
#define AMPINV_U_MEDPOWER    2
#define AMPINV_U_HIGHPOWER   3

/* Gain Settings */
#define AMPINV_U_G47_0    0x04
#define AMPINV_U_G23_0    0x14

#define AMPINV_U_G15_0    0x00
#define AMPINV_U_G7_00    0x10
#define AMPINV_U_G4_33    0x20
#define AMPINV_U_G3_00    0x30
#define AMPINV_U_G2_20    0x40
#define AMPINV_U_G1_67    0x50
#define AMPINV_U_G1_27    0x60
#define AMPINV_U_G1_00    0x70
#define AMPINV_U_G0_78    0x80
#define AMPINV_U_G0_60    0x90
#define AMPINV_U_G0_46    0xA0
#define AMPINV_U_G0_33    0xB0
#define AMPINV_U_G0_23    0xC0
#define AMPINV_U_G0_14    0xD0
#define AMPINV_U_G0_06    0xE0


/* Define function Prototypes */
#pragma fastcall AMPINV_U_Start
#pragma fastcall AMPINV_U_SetPower
#pragma fastcall AMPINV_U_SetGain
#pragma fastcall AMPINV_U_Stop

//-------------------------------------------------
// Prototypes of the AMPINV_U API.
//-------------------------------------------------
extern void AMPINV_U_Start(BYTE power);
extern void AMPINV_U_SetPower(BYTE power);
extern void AMPINV_U_SetGain(BYTE bGainSetting);
extern void AMPINV_U_Stop(void);

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------
#pragma ioport  AMPINV_U_INVAMP_CR0:    0x075
BYTE            AMPINV_U_INVAMP_CR0;
#pragma ioport  AMPINV_U_INVAMP_CR1:    0x076
BYTE            AMPINV_U_INVAMP_CR1;
#pragma ioport  AMPINV_U_INVAMP_CR2:    0x077
BYTE            AMPINV_U_INVAMP_CR2;
#pragma ioport  AMPINV_U_INVAMP_CR3:    0x074
BYTE            AMPINV_U_INVAMP_CR3;

// end of file AMPINV_U.h
