;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME:   ADCINC12_I.inc
;;  Version: 5.0, Updated on 2003/08/28 at 13:26:44
;;  Generated by PSoC Designer ver 4.0 b865 : 27 August, 2003
;;
;;  DESCRIPTION:
;;    Assembler declarations for the ACDINC12 user module interface
;;    for the 22/24/27xxx PSoC family of devices.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2003. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************


;--------------------------------------------------
; Constants for ADCINC12_I API's
;--------------------------------------------------
ADCINC12_I_TimerMask:                  equ  04h
ADCINC12_I_CounterMask:                equ  08h
ADCINC12_I_OFF:                        equ  0
ADCINC12_I_LOWPOWER:                   equ  1
ADCINC12_I_MEDPOWER:                   equ  2
ADCINC12_I_HIGHPOWER:                  equ  3
ADCINC12_I_NUMBITS:                    equ  12
ADCINC12_I_NoAZ:                       equ  1
ADCINC12_I_CNTINPUT:                   equ  ((3 + 4)<<4)
ADCINC12_I_fDBLK_ENABLE:               equ  01h      ; Digital block enable bit     
ADCINC12_I_fPULSE_WIDE:                equ  04h      ; Set to wide terminal count pulse 
HighByte:                     equ  0
LowByte:                      equ  1

;--------------------------------------------------
; Registers Address Constants for ADCINC12_I
;--------------------------------------------------

ADCINC12_I_AtoDcr0: equ 8ch
ADCINC12_I_AtoDcr1: equ 8dh
ADCINC12_I_AtoDcr2: equ 8eh
ADCINC12_I_AtoDcr3: equ 8fh
ADCINC12_I_CounterFN:   equ 2ch
ADCINC12_I_CounterSL:   equ 2dh
ADCINC12_I_CounterOS:   equ 2eh
ADCINC12_I_CounterDR0:  equ 2ch
ADCINC12_I_CounterDR1:  equ 2dh
ADCINC12_I_CounterDR2:  equ 2eh
ADCINC12_I_CounterCR0:  equ 2fh
ADCINC12_I_TimerFN: equ 28h
ADCINC12_I_TimerSL: equ 29h
ADCINC12_I_TimerOS: equ 2ah
ADCINC12_I_TimerDR0:    equ 28h
ADCINC12_I_TimerDR1:    equ 29h
ADCINC12_I_TimerDR2:    equ 2ah
ADCINC12_I_TimerCR0:    equ 2bh

;--------------------------------------------------
; ADCINC12_I Macro 'Functions'
;--------------------------------------------------

macro ADCINC12_I_ISDATA
   mov A,[ADCINC12_I_fIncr]
   endm

macro ADCINC12_I_GETDATA
   mov X,[(ADCINC12_I_iIncr + HighByte)]
   mov A,[(ADCINC12_I_iIncr + LowByte)]
   endm

macro ADCINC12_I_CLEARFLAG
   mov [ADCINC12_I_fIncr],00h
   endm

; End of file ADCINC12_I.inc



