//*****************************************************************************
//*****************************************************************************
//  FILENAME: DAC8_REF.h
//   Version: 1.2, Updated on 2003/08/28 at 17:07:35
//  Generated by PSoC Designer ver 4.0 b865 : 27 August, 2003
//
//  DESCRIPTION:  DAC8 User Module C language interface file for the
//                22/24/25/26/27xxx PSoC family of devices.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2001-2003. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

//-------------------------------------------------
// Defines for DAC8_REF API's.
//-------------------------------------------------
// Power Setting Defines
#define DAC8_REF_OFF                 0
#define DAC8_REF_LOWPOWER            1
#define DAC8_REF_MEDPOWER            2
#define DAC8_REF_HIGHPOWER           3
#define DAC8_REF_FULLPOWER           3

// Define constants for declaring function prototypes based on DataFormat parameter
#define DAC8_REF_OffsetBinary            0x04
#define DAC8_REF_TwosComplement          0x02
#define DAC8_REF_SignAndMagnitude        0x01
#define DAC8_REF_RawRegister             0x00
#define DAC8_REF_DATAFORMAT          0x7 
#define DAC8_REF_OFFSETBINARY        DAC8_REF_DATAFORMAT & DAC8_REF_OffsetBinary 
#define DAC8_REF_TWOSCOMPLEMENT      DAC8_REF_DATAFORMAT & DAC8_REF_TwosComplement 
#define DAC8_REF_SIGNANDMAGNITUDE    DAC8_REF_DATAFORMAT & DAC8_REF_SignAndMagnitude 

// Declare function fastcall pragmas
#pragma fastcall DAC8_REF_Start
#pragma fastcall DAC8_REF_SetPower
#pragma fastcall DAC8_REF_Stop

//-------------------------------------------------
// Prototypes of the DAC8_REF API.
//-------------------------------------------------
extern void  DAC8_REF_Start(BYTE bPowerSetting);
extern void  DAC8_REF_SetPower(BYTE bPowerSetting);
extern void  DAC8_REF_Stop(void);

// Declare overloaded functions based on DataForamt parameter selected
#if DAC8_REF_OFFSETBINARY 
   #pragma fastcall DAC8_REF_WriteBlind
   #pragma fastcall DAC8_REF_WriteStall
   extern void  DAC8_REF_WriteBlind(BYTE bOutputValue);
   extern void  DAC8_REF_WriteStall(BYTE bOutputValue);
#else 
   #if DAC8_REF_TWOSCOMPLEMENT 
      #pragma fastcall DAC8_REF_WriteBlind
      #pragma fastcall DAC8_REF_WriteStall
      extern void  DAC8_REF_WriteBlind(CHAR cOutputValue);
      extern void  DAC8_REF_WriteStall(CHAR cOutputValue);
   #else    //DAC8_REF_SIGNANDMAGNITUDE 
      #pragma fastcall DAC8_REF_WriteBlind2B
      #pragma fastcall DAC8_REF_WriteStall2B
      extern void  DAC8_REF_WriteBlind2B(BYTE bLSB, BYTE bMSB);
      extern void  DAC8_REF_WriteStall2B(BYTE bLSB, BYTE bMSB);
   #endif
#endif 

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------

#pragma ioport  DAC8_REF_LSB_CR0:   0x090                  // LSB Analog control register 0
BYTE            DAC8_REF_LSB_CR0;
#pragma ioport  DAC8_REF_LSB_CR1:   0x091                  // LSB Analog control register 1
BYTE            DAC8_REF_LSB_CR1;
#pragma ioport  DAC8_REF_LSB_CR2:   0x092                  // LSB Analog control register 2
BYTE            DAC8_REF_LSB_CR2;
#pragma ioport  DAC8_REF_LSB_CR3:   0x093                  // LSB Analog control register 3
BYTE            DAC8_REF_LSB_CR3;

#pragma ioport  DAC8_REF_MSB_CR0:   0x094                  // MSB Analog control register 0
BYTE            DAC8_REF_MSB_CR0;
#pragma ioport  DAC8_REF_MSB_CR1:   0x095                  // MSB Analog control register 1
BYTE            DAC8_REF_MSB_CR1;
#pragma ioport  DAC8_REF_MSB_CR2:   0x096                  // MSB Analog control register 2
BYTE            DAC8_REF_MSB_CR2;
#pragma ioport  DAC8_REF_MSB_CR3:   0x097                  // MSB Analog control register 3
BYTE            DAC8_REF_MSB_CR3;

// end of file DAC8_REF.h
